Subject: Re: [PATCH] clk: moxart: remove unused variables, fix refcount leak

From: Brian Masney <[email-masked]>
Date: Tue, 26 May 2026 18:39:04 -0400

On Tue, May 26, 2026 at 10:42:26PM +0200, Alexander A. Klimov wrote:
> Not only these error checks are redundand,
> those of_clk_get() return values weren't cleaned up via clk_put().
> 
> Fixes: c7bb4fc16ead ("clk: add MOXA ART SoCs clock driver")
> Signed-off-by: Alexander A. Klimov <[email-masked]>

Reviewed-by: Brian Masney <[email-masked]>

For the future: Include the version number (v2) on the subject, and include a
changelog below the --- with what changed since the last version. You may want
to consider using b4 since it'll help set this up for you. Plus it's a
much improved contribution experience.

https://b4.docs.kernel.org/en/latest/contributor/overview.html

Brian